Subject: bug#49261: 28.0.50; File Locking Breaks Presumptuous Toolchains

From: Michael Albinus <[email-masked]>
Date: Fri, 02 Jul 2021 14:32:53 +0200

Lars Ingebrigtsen <[email-masked]> writes:

Hi Lars,

>> I think this was indeed the intent.  There's no intent to change the
>> default behavior wrt where the lock file is written, only to introduce
>> a new opt-in behavior.
>
> I was going to take a stab at implementing this today, but I find that I
> don't have the time (probably for the next couple of days), so if
> somebody else wants to take a stab at it, please be my guest.  :-)

I've pushed on my TODO to implement file locking for remote files first,
which does not exist yet. If nothing breaks my priorities, it should be
ready next days.

After that, we could see what does it need for configuration.

Best regards, Michael.